// IMyAidlInterface.aidl
package aidl.com.yozo.office;

import aidl.com.yozo.office.IOfficeCallbackAidlInterface;
import aidl.com.yozo.office.transparcel.ParcelPageRoot;
import android.os.ParcelFileDescriptor;

interface IOfficeAidlInterface {

    void openFile(String filePath, String psw, int layoutWidth, int layoutHeight);
    void close();
    String getTempDir();

    boolean registerCallback(IOfficeCallbackAidlInterface cb);
    boolean unregisterCallback(IOfficeCallbackAidlInterface cb);

    //office:
    boolean getRoot(out ParcelPageRoot root);
    ParcelFileDescriptor getWordBitmap(int pageIndex, int bmpWidth, int bmpHeight, int contentWidth, int contentHeight, float patchX, float patchY, int type);

    //xls
    boolean isChartSheet_Do();
    void requestLayoutContainer(int layoutWidth, int layoutHeight);
    ParcelFileDescriptor getChartBitmap(int bmpWidth, int bmpHeight, int left, int top, int right, int bottom, float zoom);
    ParcelFileDescriptor getXlsBitmap(int bmpWidth, int bmpHeight, int left, int top, int right, int bottom);
    void setZoomInner(float zoom);
    float getETableZoom();
    int getRowIndexAtY(int y, boolean flag);
    int getCellY(int row, boolean flag);
    int getColumnIndexAtX(int x, boolean flag);
    int getCellX(int column, boolean flag);
    int getColumnWidth(int column);
    int getRowHeight(int row);
    String getSheetTabBarInfo();
    void selectSheetTabBar(String sheetName);
    void setActiveSheet4XlsReadView(int sheetId);

    //ppt
    ParcelFileDescriptor getPptBitmap(int pageIndex, int contentWidth, int contentHeight, int slideWidth, int slideHeight, float patchX, float patchY);
    int getPageCount();
    int getPptPageWidth();
    int getPptPageHeight();

    //pdf
    int getPdfCountPages();
    PointF getPdfPageSize(int index);
    ParcelFileDescriptor getPdfBitmap(int pageIndex,int contentWidth, int contentHeight,int pageW, int pageH,int patchX, int patchY,int patchW, int patchH);

    //export image
    void exportOfficeToImage(String filePath,String exportDir, int pageWidth, int imageDataType);
    //do action
    void actionEvent(int event, String value1, String value2, String value3);
}
